<?php


namespace Shop\Application\Shopping\CreateCustomerOrder;


use Shop\Domain\CustomerOrder\Contracts\CustomerOrderEntityInterface;

class OrderResult
{
    /**
     * @var CustomerOrderEntityInterface
     */
    protected $order;

    /**
     * @return CustomerOrderEntityInterface
     */
    public function getOrder(): CustomerOrderEntityInterface
    {
        return $this->order;
    }

    /**
     * @param CustomerOrderEntityInterface $order
     * @return OrderResult
     */
    public function setOrder(CustomerOrderEntityInterface $order): OrderResult
    {
        $this->order = $order;
        return $this;
    }



}